/* PRESENTATION SECTION */
.container--services{
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  background-image: url('../assets/img/covers/Bg_bl_r.svg');
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: cover;
}

.services--text{
  width: 100%;
  margin-right: 30px;
  z-index: 2;
  opacity: 0;
  transition: opacity 2s ease-in-out;
  font-family: var(--Futura_Round-Medium);
  font-size: 16pt;
  text-align: right;
}
.services--text p{
  font-size: 40pt;
  text-align: right;
  font-family: var(--Futura_Round-Bold);
  line-height: 40pt;
}
.services--text div{
  background-color: var(--DarkBlueColor);
  padding: 5px 15px;
  margin-left: auto;
  margin-top: 20px;
  width: fit-content;
  border-radius: 15px;
  cursor: pointer;
  & a{
    text-decoration: none;
    color: var(--WhiteColor);
  }
}

.services--vector{
  width: 100%;
  height: calc(100% - 100px);
  background-image: url('../assets/img/vector/LAC_services.svg');
  background-position: left;
  background-repeat: no-repeat;
  background-size: contain;
  position: absolute;
  z-index: 1;
  bottom: 0;
  animation: serviceVectorAnimation 8s infinite;
}
@keyframes serviceVectorAnimation {
  0%{
      transform: scale(1);
  }
  50%{
      transform: scale(.95);
  }
  100%{
      transform: scale(1);
  }
}

.services_title{
  font-size: 25pt;
  color: var(--LightBlueColor);
  border-bottom: 5px solid var(--LightBlueColor);;
  font-family: var(--Futura_Round-Bold);
  font-size: 25pt;
  width: fit-content;
  margin: 40px 20px;
  transform: translateX(-150%);
  transition: transform .5s ease-in-out;
}
.services_subtitle{
  font-size: 12pt;
  color: var(--BlackColor);
  margin-left: 20px;
}

.services_list{
  color: var(--BlackColor);
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-wrap: wrap;
  text-align: center;
  overflow: hidden;
  gap: 20px;
  transform: translateX(150%);
  transition: transform .5s ease-in-out;
}
.service{
  width: 150px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  cursor: pointer;
  border-radius: 20px;
  padding: 10px;
  background-color: #f5f5f5;
}

.service:nth-child(3) .service_name, .service:nth-child(4) .service_name{
  font-size: 10pt;
}

.service_icon{
  width: 100px;
  height: 100px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}
.service:nth-child(1) .service_icon{
  background-image: url('../assets/icons/an_cli.svg');
}
.service:nth-child(2) .service_icon{
  background-image: url('../assets/icons/bio_moc.svg');
}
.service:nth-child(3) .service_icon{
  background-image: url('../assets/icons/an_mic.svg');
}
.service:nth-child(4) .service_icon{
  background-image: url('../assets/icons/an_his.svg');
}
.service:nth-child(5) .service_icon{
  background-image: url('../assets/icons/cot_per.svg');
}

.service_data{
  color: var(--BlackColor);
  display: flex;
  justify-content: space-between;
}

.service_info{
  width: 50%;
  padding: 50px 20px;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
  gap: 20px;
  transform: translateX(-150%);
  transition: transform 1s ease-in-out;
}
.service_data_title{
  font-size: 20pt;
  color: var(--LightBlueColor);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  font-family: var(--Futura_Round-Bold);
  font-size: 20pt;
  & div{
    width: 100px;
    height: 100px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
  }
}
.service_desc{
  background-color: #f5f5f5;
  color: var(--BlackColor);
  padding: 10px;
  font-size: 12pt;
}


.service_extra{
  width: 50%;
  padding: 100px 20px 50px 100px;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
  gap: 20px;
  transform: translateX(150%);
  transition: transform 1s ease-in-out;
}
.service_data_subtitle{
  font-size: 14pt;
  & span{
    font-family: var(--Pangram_ExtraBold);
  }
}
.extra_data{
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.extra_data_row{
  width: 100%;
  display: flex;
  align-items: center;
  gap: 10px;
}
.extra_data_row div{
  width: 10px;
  height: 10px;
  margin-top: 5px;
  border-radius: 10pt;
  background-color: var(--LightBlueColor);
}
.extra_data_row p{
  font-size: 12pt;
  color: var(--LightBlueColor);
  line-height: 14pt;
  font-family: var(--Pangram_ExtraBold);
  & span{
    font-size: 10pt;
    color: var(--BlackColor);
    font-family: var(--Pangram_Medium);
  }
}

.service_wa{
  background-image: url('../assets/icons/wa_icono_bl.svg');
  background-position: center;
  background-repeat: no-repeat;
  background-size: 80%;
}

@media screen and (max-width:768px){
  .container--services{
      height: 70vh;
  }
}

@media screen and (max-width:480px){
  .services--vector{
    display: none;
  }
  .services--text{
    margin-top: 0%;
    width: 100%;
    & p{
      font-size: 20pt;
      line-height: 25pt;
    }
    & span{
      font-size: 12pt;
      font-family: var(--Pangram_Medium);
    }
  }

  .services_title{
    margin: 20px auto;
  }
  .service_data{
    flex-direction: column;
    justify-content: start;
  }
  .service_info,.service_extra{
    width: 100%;
    padding: 20px;
  }

  .service_data_title{
    font-size: 18pt;
    & div{
      width: 80px;
      height: 80px;
    }
  }
}